Intermittent services/common/tests/unit/test_blocklist_clients.js | clear_state - [clear_state : 257] A promise chain failed to handle a rejection: IndexedDB list() A request was aborted, for example through a call to IDBTransaction.abort.

RESOLVED FIXED in Firefox 68

Status

defect
P5
normal
RESOLVED FIXED
3 months ago
3 months ago

People

(Reporter: intermittent-bug-filer, Assigned: leplatrem)

Tracking

(Regression, {intermittent-failure, regression})

unspecified
Firefox 68
Points:
---

Firefox Tracking Flags

(firefox-esr60 unaffected, firefox66 unaffected, firefox67 unaffected, firefox68 fixed)

Details

(Whiteboard: [stockwell needswork:owner])

Attachments

(1 attachment)

#[markdown(off)]
Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=242152200&repo=autoland

https://queue.taskcluster.net/v1/task/XH-tsOysQiSwUO_-r7zX6w/runs/0/artifacts/public/logs/live_backing.log

[task 2019-04-23T21:50:10.729Z] 21:50:10 INFO - TEST-START | services/common/tests/unit/test_blocklist_clients.js
[task 2019-04-23T21:50:21.023Z] 21:50:21 WARNING - TEST-UNEXPECTED-FAIL | services/common/tests/unit/test_blocklist_clients.js | xpcshell return code: 0
[task 2019-04-23T21:50:21.023Z] 21:50:21 INFO - TEST-INFO took 10315ms
[task 2019-04-23T21:50:21.023Z] 21:50:21 INFO - >>>>>>>
[task 2019-04-23T21:50:21.024Z] 21:50:21 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-04-23T21:50:21.024Z] 21:50:21 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-04-23T21:50:21.026Z] 21:50:21 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-04-23T21:50:21.026Z] 21:50:21 INFO - running event loop

[task 2019-04-23T21:50:21.145Z] 21:50:21 INFO - TEST-PASS | services/common/tests/unit/test_blocklist_clients.js | test_bucketname_changes_when_bucket_pref_changes - [test_bucketname_changes_when_bucket_pref_changes : 269] "pinning-preview" == "pinning-preview"
[task 2019-04-23T21:50:21.146Z] 21:50:21 INFO - (xpcshell/head.js) | test run_next_test 10 finished (2)
[task 2019-04-23T21:50:21.147Z] 21:50:21 INFO - (xpcshell/head.js) | test run_next_test 11 pending (2)
[task 2019-04-23T21:50:21.148Z] 21:50:21 INFO - (xpcshell/head.js) | test test_bucketname_changes_when_bucket_pref_changes finished (2)
[task 2019-04-23T21:50:21.149Z] 21:50:21 INFO - services/common/tests/unit/test_blocklist_clients.js | Starting clear_state
[task 2019-04-23T21:50:21.150Z] 21:50:21 INFO - (xpcshell/head.js) | test clear_state pending (2)
[task 2019-04-23T21:50:21.150Z] 21:50:21 INFO - (xpcshell/head.js) | test run_next_test 11 finished (2)
[task 2019-04-23T21:50:21.151Z] 21:50:21 INFO - [Exception... "Unexpected error" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" location: "JS frame :: resource://testing-common/httpd.js :: finish :: line 3448" data: no]
[task 2019-04-23T21:50:21.152Z] 21:50:21 INFO - PID 11543 | JavaScript strict warning: resource://gre/modules/psm/RemoteSecuritySettings.jsm, line 33: ReferenceError: reference to undefined property "capabilities"
[task 2019-04-23T21:50:21.153Z] 21:50:21 INFO - "CONSOLE_MESSAGE: (warn) [JavaScript Warning: "ReferenceError: reference to undefined property "capabilities"" {file: "resource://gre/modules/psm/RemoteSecuritySettings.jsm" line: 33}]"
[task 2019-04-23T21:50:21.154Z] 21:50:21 INFO - (xpcshell/head.js) | test run_next_test 12 pending (2)
[task 2019-04-23T21:50:21.154Z] 21:50:21 INFO - (xpcshell/head.js) | test clear_state finished (2)
[task 2019-04-23T21:50:21.155Z] 21:50:21 INFO - (xpcshell/head.js) | test run_next_test 12 finished (1)
[task 2019-04-23T21:50:21.156Z] 21:50:21 INFO - exiting test
[task 2019-04-23T21:50:21.157Z] 21:50:21 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "IndexedDB UnknownErr: ActorsParent.cpp:12455"]"
[task 2019-04-23T21:50:21.158Z] 21:50:21 INFO - PID 11543 | JavaScript error: resource://services-common/kinto-offline-client.js, line 568: Error: IndexedDB list() A request was aborted, for example through a call to IDBTransaction.abort.
[task 2019-04-23T21:50:21.159Z] 21:50:21 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "Error: IndexedDB list() A request was aborted, for example through a call to IDBTransaction.abort." {file: "resource://services-common/kinto-offline-client.js" line: 568}]"
[task 2019-04-23T21:50:21.159Z] 21:50:21 WARNING - TEST-UNEXPECTED-FAIL | services/common/tests/unit/test_blocklist_clients.js | clear_state - [clear_state : 257] A promise chain failed to handle a rejection: IndexedDB list() A request was aborted, for example through a call to IDBTransaction.abort. - stack: updatePreloadedIntermediates/<@resource://gre/modules/psm/RemoteSecuritySettings.jsm:125:24
[task 2019-04-23T21:50:21.160Z] 21:50:21 INFO - async*_do_main@/builds/worker/workspace/build/tests/xpcshell/head.js:227:6
[task 2019-04-23T21:50:21.161Z] 21:50:21 INFO - _execute_test@/builds/worker/workspace/build/tests/xpcshell/head.js:529:5
[task 2019-04-23T21:50:21.162Z] 21:50:21 INFO - @-e:1:1
[task 2019-04-23T21:50:21.163Z] 21:50:21 INFO - Rejection date: Tue Apr 23 2019 21:50:20 GMT+0000 (Coordinated Universal Time) - false == true
[task 2019-04-23T21:50:21.164Z] 21:50:21 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2019-04-23T21:50:21.164Z] 21:50:21 INFO - /builds/worker/workspace/build/tests/xpcshell/head.js:_execute_test:621
[task 2019-04-23T21:50:21.165Z] 21:50:21 INFO - -e:null:1
[task 2019-04-23T21:50:21.166Z] 21:50:21 INFO - exiting test
[task 2019-04-23T21:50:21.167Z] 21:50:21 INFO - PID 11543 | JavaScript error: /builds/worker/workspace/build/tests/xpcshell/head.js, line 742: NS_ERROR_ABORT:
[task 2019-04-23T21:50:21.168Z] 21:50:21 INFO - <<<<<<<
[task 2019-04-23T21:50:21.169Z] 21:50:21 INFO - INFO | Result summary:
[task 2019-04-23T21:50:21.169Z] 21:50:21 INFO - INFO | Passed: 380
[task 2019-04-23T21:50:21.169Z] 21:50:21 WARNING - INFO | Failed: 1
[task 2019-04-23T21:50:21.170Z] 21:50:21 WARNING - One or more unittests failed.
[task 2019-04-23T21:50:21.170Z] 21:50:21 INFO - INFO | Todo: 0
[task 2019-04-23T21:50:21.170Z] 21:50:21 INFO - INFO | Retried: 1
[task 2019-04-23T21:50:21.171Z] 21:50:21 INFO - SUITE-END | took 412s
[task 2019-04-23T21:50:21.171Z] 21:50:21 INFO - Node moz-http2 server shutting down ...
[task 2019-04-23T21:50:21.171Z] 21:50:21 INFO - Process stderr
[task 2019-04-23T21:50:21.172Z] 21:50:21 INFO - (node:986) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 window_update listeners added. Use emitter.setMaxListeners() to increase limit
[task 2019-04-23T21:50:21.172Z] 21:50:21 INFO - (node:986) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 window_update listeners added. Use emitter.setMaxListeners() to increase limit
[task 2019-04-23T21:50:21.173Z] 21:50:21 INFO - (node:986) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 window_update listeners added. Use emitter.setMaxListeners() to increase limit
[task 2019-04-23T21:50:21.173Z] 21:50:21 INFO - (node:986) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 window_update listeners added. Use emitter.setMaxListeners() to increase limit
[task 2019-04-23T21:50:21.216Z] 21:50:21 ERROR - Return code: 1

The spike here seems to be from https://treeherder.mozilla.org/#/jobs?repo=autoland&selectedJob=242538917&revision=e1ab2cda04243606b3e030f6858f415b83fae1f6

https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-19&endday=2019-04-26&tree=trunk&bug=1546525

Mathieu can you take a look?

There are 106 total failures in the last 7 days on

  • debug linux32, linux64, windows7-32
  • asan linux64
  • opt linux32-shippable, linux64-shippable, windows7-32-shippable

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=242826993&repo=autoland&lineNumber=2320

[task 2019-04-23T21:50:10.725Z] 21:50:10 INFO - TEST-START | services/sync/tests/unit/test_clients_engine.js
[task 2019-04-23T21:50:10.726Z] 21:50:10 INFO - TEST-SKIP | services/sync/tests/unit/test_clients_engine.js | took 1ms
[task 2019-04-23T21:50:10.728Z] 21:50:10 INFO - Retrying tests that failed when run in parallel.
[task 2019-04-23T21:50:10.729Z] 21:50:10 INFO - TEST-START | services/common/tests/unit/test_blocklist_clients.js
[task 2019-04-23T21:50:21.023Z] 21:50:21 WARNING - TEST-UNEXPECTED-FAIL | services/common/tests/unit/test_blocklist_clients.js | xpcshell return code: 0
[task 2019-04-23T21:50:21.023Z] 21:50:21 INFO - TEST-INFO took 10315ms
[task 2019-04-23T21:50:21.023Z] 21:50:21 INFO - >>>>>>>
[task 2019-04-23T21:50:21.024Z] 21:50:21 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-04-23T21:50:21.024Z] 21:50:21 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-04-23T21:50:21.026Z] 21:50:21 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-04-23T21:50:21.026Z] 21:50:21 INFO - running event loop
[task 2019-04-23T21:50:21.026Z] 21:50:21 INFO - services/common/tests/unit/test_blocklist_clients.js | Starting test_initial_dump_is_loaded_as_synced_when_collection_is_empty
[task 2019-04-23T21:50:21.027Z] 21:50:21 INFO - (xpcshell/head.js) | test test_initial_dump_is_loaded_as_synced_when_collection_is_empty pending (2)

Flags: needinfo?(mathieu)
Regressed by: 1512451
Whiteboard: [stockwell needswork:owner]

I'm on it, it's weird though.

I really don't like the way things are intricate between blocklists clients and remote security settings. That's why I hope we'll ship Bug 1543598 and Bug 1526018 very soon.

Flags: needinfo?(mathieu)

Thanks for looking into it Mathieu. Let us know if at any point you want the test disabled.

Fix intermittent failure between blocklist clients tests and security settings

Assignee: nobody → mathieu
Status: NEW → ASSIGNED
Pushed by mleplatre@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/da6e65869c99
Fix intermittent failure between blocklist clients tests and security settings r=glasserc,mgoodwin
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 68
You need to log in before you can comment on or make changes to this bug.